Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2093394 - [abrt] Crash under gs_flatpak_refine_app_unlocked()
Summary: [abrt] Crash under gs_flatpak_refine_app_unlocked()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b66c6a4c326e4d10e235cd31ef1...
: 2093962 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-03 15:17 UTC by Mutlu Can YILMAZ
Modified: 2022-06-16 01:21 UTC (History)
3 users (show)

Fixed In Version: gnome-software-42.2-2.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-06 07:40:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: core_backtrace (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: cpuinfo (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: dso_list (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: environ (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: exploitable (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: limits (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: maps (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: mountinfo (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: open_fds (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: proc_pid_status (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details
File: var_log_messages (deleted)
2022-06-03 15:17 UTC, Mutlu Can YILMAZ
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-software issues 1792 0 None opened Crash under gs_flatpak_refine_app_unlocked() 2022-06-06 07:40:18 UTC

Description Mutlu Can YILMAZ 2022-06-03 15:17:24 UTC
Version-Release number of selected component:
gnome-software-42.2-1.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Software-2317.scope
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: xb_silo_start_profile
executable:     /usr/bin/gnome-software
journald_cursor: s=bac8731224e84650b9898b952104ca0d;i=a3a8;b=07c5099aa6c241a5a0081137b084d1f0;m=1bd955e7f;t=5e08c2745e450;x=a588247633c25c
kernel:         5.17.11-300.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xb_silo_start_profile at ../src/xb-silo.c:100
 #1 silo_query_with_root at ../src/xb-silo-query.c:288
 #2 xb_silo_query_with_root at ../src/xb-silo-query.c:408
 #3 xb_silo_query_first at ../src/xb-silo-query.c:713
 #4 gs_flatpak_refine_appstream at ../plugins/flatpak/gs-flatpak.c:3129
 #5 gs_flatpak_refine_app_unlocked at ../plugins/flatpak/gs-flatpak.c:3201
 #6 gs_plugin_app_install at ../plugins/flatpak/gs-plugin-flatpak.c:1385
 #7 gs_plugin_loader_call_vfunc at ../lib/gs-plugin-loader.c:643
 #8 gs_plugin_loader_run_results at ../lib/gs-plugin-loader.c:876
 #9 gs_plugin_loader_process_thread_cb at ../lib/gs-plugin-loader.c:3188

Comment 1 Mutlu Can YILMAZ 2022-06-03 15:17:27 UTC
Created attachment 1886394 [details]
File: backtrace

Comment 2 Mutlu Can YILMAZ 2022-06-03 15:17:28 UTC
Created attachment 1886395 [details]
File: core_backtrace

Comment 3 Mutlu Can YILMAZ 2022-06-03 15:17:28 UTC
Created attachment 1886396 [details]
File: cpuinfo

Comment 4 Mutlu Can YILMAZ 2022-06-03 15:17:29 UTC
Created attachment 1886397 [details]
File: dso_list

Comment 5 Mutlu Can YILMAZ 2022-06-03 15:17:30 UTC
Created attachment 1886398 [details]
File: environ

Comment 6 Mutlu Can YILMAZ 2022-06-03 15:17:31 UTC
Created attachment 1886399 [details]
File: exploitable

Comment 7 Mutlu Can YILMAZ 2022-06-03 15:17:32 UTC
Created attachment 1886400 [details]
File: limits

Comment 8 Mutlu Can YILMAZ 2022-06-03 15:17:33 UTC
Created attachment 1886401 [details]
File: maps

Comment 9 Mutlu Can YILMAZ 2022-06-03 15:17:34 UTC
Created attachment 1886402 [details]
File: mountinfo

Comment 10 Mutlu Can YILMAZ 2022-06-03 15:17:35 UTC
Created attachment 1886403 [details]
File: open_fds

Comment 11 Mutlu Can YILMAZ 2022-06-03 15:17:36 UTC
Created attachment 1886404 [details]
File: proc_pid_status

Comment 12 Mutlu Can YILMAZ 2022-06-03 15:17:37 UTC
Created attachment 1886405 [details]
File: var_log_messages

Comment 13 Milan Crha 2022-06-06 07:40:18 UTC
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case the upstream developers would have any additional questions.

[1] https://gitlab.gnome.org/GNOME/gnome-software/-/issues/1792

Comment 14 Milan Crha 2022-06-07 09:09:29 UTC
*** Bug 2093962 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2022-06-13 13:21:35 UTC
FEDORA-2022-a2adc557b7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a2adc557b7

Comment 16 Fedora Update System 2022-06-14 01:15:20 UTC
FEDORA-2022-a2adc557b7 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a2adc557b7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a2adc557b7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-06-16 01:21:01 UTC
FEDORA-2022-a2adc557b7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.